using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1451, 0x1456 )]
	public class BoneHelm : BaseArmor
	{
		[Constructable]
		public BoneHelm() : base( 0x1451, OreInfo.Iron, 30, ArmorMaterialType.Plate, ArmorBodyType.Helmet )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 40;
		}

		public BoneHelm( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}